Package com.xebialabs.xlrelease.serialization.json.utils

## Class CiSerializerHelper

- java.lang.Object
- - com.xebialabs.xlrelease.serialization.json.utils.CiSerializerHelper

-     public class CiSerializerHelper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CiSerializerHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConfigurationItem` | `deserialize​(com.fasterxml.jackson.databind.JsonNode node, Repository repository)` |
    `static ConfigurationItem` | `deserialize​(com.fasterxml.jackson.databind.JsonNode node, Repository repository, com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)` |
    `static ConfigurationItem` | `deserialize​(java.lang.String json, Repository repository)` |
    `static ConfigurationItem` | `deserialize​(java.lang.String json, Repository repository, com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)` |
    `static com.xebialabs.xltype.serialization.ConfigurationItemConverter` | `newEncryptingConverter()` |
    `static java.lang.String` | `serialize​(ConfigurationItem ci)` |
    `static java.lang.String` | `serialize​(ConfigurationItem ci, com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)` |
    `static java.lang.String` | `serialize​(java.util.List<? extends ConfigurationItem> cis)` |
    `static java.lang.String` | `serialize​(java.util.List<? extends ConfigurationItem> cis, com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)` |
    `static java.lang.String` | `serializeWithMaskedPasswords​(ConfigurationItem ci)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CiSerializerHelper

          public CiSerializerHelper()

  - ### Method Detail

    - #### newEncryptingConverter

          public static com.xebialabs.xltype.serialization.ConfigurationItemConverter newEncryptingConverter()

    - #### deserialize

          public static ConfigurationItem deserialize​(com.fasterxml.jackson.databind.JsonNode node,
                                                      Repository repository)

    - #### deserialize

          public static ConfigurationItem deserialize​(java.lang.String json,
                                                      Repository repository)

    - #### deserialize

          public static ConfigurationItem deserialize​(com.fasterxml.jackson.databind.JsonNode node,
                                                      Repository repository,
                                                      com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)

    - #### deserialize

          public static ConfigurationItem deserialize​(java.lang.String json,
                                                      Repository repository,
                                                      com.xebialabs.xltype.serialization.ConfigurationItemConverter ciConverter)

    - #### serialize

          public static java.lang.String serialize​(ConfigurationItem ci)

    - #### serializeWithMaskedPasswords

          public static java.lang.String serializeWithMaskedPasswords​(ConfigurationItem ci)

    - #### serialize

          public static java.lang.String serialize​(java.util.List<? extends ConfigurationItem> cis)

    - #### serialize

          public static java.lang.String serialize​(ConfigurationItem ci,
                                                   com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)

    - #### serialize

          public static java.lang.String serialize​(java.util.List<? extends ConfigurationItem> cis,
                                                   com.xebialabs.xltype.serialization.ConfigurationItemConverter converter)